package com.kingdee.eas.custom.esign;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.DataBase;
import com.kingdee.eas.framework.IDataBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.custom.esign.app.*;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class ESignTemplate extends DataBase implements IESignTemplate
{
    public ESignTemplate()
    {
        super();
        registerInterface(IESignTemplate.class, this);
    }
    public ESignTemplate(Context ctx)
    {
        super(ctx);
        registerInterface(IESignTemplate.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("00725EEB");
    }
    private ESignTemplateController getController() throws BOSException
    {
        return (ESignTemplateController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public ESignTemplateInfo getESignTemplateInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getESignTemplateInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public ESignTemplateInfo getESignTemplateInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getESignTemplateInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public ESignTemplateInfo getESignTemplateInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getESignTemplateInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public ESignTemplateCollection getESignTemplateCollection() throws BOSException
    {
        try {
            return getController().getESignTemplateCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public ESignTemplateCollection getESignTemplateCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getESignTemplateCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public ESignTemplateCollection getESignTemplateCollection(String oql) throws BOSException
    {
        try {
            return getController().getESignTemplateCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *同步模板字段-User defined method
     *@param billId 单据id
     */
    public void syncTemplateFields(String billId) throws BOSException, EASBizException
    {
        try {
            getController().syncTemplateFields(getContext(), billId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}